---
title: Source migration
titleTemplate: Guides
description: Migration is the process of moving series between sources without losing progress.
---

# Source migration
Migration is the process of moving series between sources without losing progress. This is most often used when a source is no longer accessible or another source is more up-to-date.

::: warning
Always make sure to have a backup in case anything unexpected occurs.
:::

::: danger
Downloaded chapter(s) do not transfer with migrations.

Migrations with downloaded chapter(s) may leave the download behind.
You will need to remove these manually with a file manager.
:::

## Migration guide

::::tabs
==Tachiyomi
### Migrating from Series

1. Tap into the **Series** you would like to migrate.
1. Go to Overflow and tap Migrate.

    > **Tachiyomi** will do a global search of all the sources you have installed and enabled.
1. Select the **Source** that you'd like to migrate _to_ by tapping the **Series** thumbnail.
1. Choose which data you want to transfer over, and you're done.

### Migrating from Source

1. Tap into Browse on the bottom navbar.
1. Press the Migrate tab at the top next to Extensions.
1. Select the **Source** that you'd like to migrate _from_.
1. Tap the **Series** you'd like to migrate _from_ the **Source**.

    > **Tachiyomi** will do a global search of all the sources you have installed and enabled.
1. Select the **Source** you'd like to migrate _to_ by tapping the **Series** thumbnail.
1. Choose which data you want to transfer over, and you're done.

==TachiyomiJ2K
### Migrating multiple Series

1. Tap **Settings** -> **Sources** -> **Source migration**.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Series** is found and hit the done at the top and you're done.

    > If a series is not found, or is wrong you can manually search it by pressing Overflow -> **Search manually**.

### Migrating a single Series

1. Tap into a **Series** in your Library.
1. Tap **Overflow** -> **Migrate**.
1. Select the **Sources** you'd like to search and migrate _to_ and hit the arrow at the bottom right.
1. Wait until it is found and select _done_ in the top right and you're done.

    > If a series is not found, or is wrong you can manually search it by pressing Overflow -> **Search manually**

==TachiyomiSY
### Migrating from Library

1. Tap into **Library**.
1. Tap **Overflow** -> **Source migration**.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow labeled Migrate at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Series** is found and hit the done at the top and you're done.

    > If a series is not found, or is wrong you can manually search it by pressing **Overflow** -> **Search manually**.

### Migrating from Source {#migrating-from-source-sy}

1. Tap into Browse on the bottom navbar.
1. Press the Migrate tab at the top next to Extensions.
1. Select the **Source** that you'd like to migrate _from_.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow labeled Migrate at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Series** is found and hit the done at the top and you're done.

    > If a series is not found, or is wrong you can manually search it by pressing **Overflow** -> **Search manually**.

==TachiyomiAZ
### Instructions

1. Tap into **Library**.
1. Tap **Overflow** -> **Source migration**.
1. Select the **Source** you'd like to migrate _from_ and select **All**.
1. Select the **Sources** that you'd like to migrate _to_ and search by and tap the arrow at the bottom right.
1. Choose which data you want to transfer over.
1. Wait until all your **Series** is found and hit the done at the top and you're done.

    > If a series is not found, or is wrong you can manually search it by pressing **Overflow** -> **Search manually**.
::::
